%define section   free
%define base_name   torque

Name:           db-%{base_name}302h
Version:        3.0.2
Release:        0.hyb.3jpp
Epoch:          0
Summary:        Torque persistence layer

Group:          Development/Libraries/Java
License:        Apache Software License
URL:            http://db.apache.org/torque/
Source0:        torque-3.0.2-src.tar.gz
Source1:        torque-3.1-src.tar.gz
Patch0:         torque302a-no-stratum.patch
Patch1:         torque302a-config.patch
Patch2:         torque302a-build_xml.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Distribution:   JPackage
Vendor:         JPackage Project

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  junit
BuildRequires:  avalon-framework
BuildRequires:  avalon-logkit
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-configuration
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  jakarta-turbine-jcs
BuildRequires:  jdbc-stdext >= 0:2.0
BuildRequires:  jndi >= 0:1.2.1
BuildRequires:  log4j
BuildRequires:  velocity
BuildRequires:  village
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  avalon-framework
Requires:  avalon-logkit
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-configuration
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-pool
Requires:  jakarta-turbine-jcs
Requires:  jdbc-stdext >= 0:2.0
Requires:  jndi >= 0:1.2.1
Requires:  log4j
Requires:  velocity
Requires:  village
Requires:  xerces-j2
Requires:  xml-commons-apis

%description
Torque is a persistence layer. Torque includes a 
generator to generate all the database resources 
required by your application and includes a 
runtime environment to run the generated classes. 

PACKAGER'S NOTE: This is a hybrid version, see changelog!!

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q -n %{base_name}-%{version}
echo > build.xml
gzip -dc %{SOURCE1} | tar -xf -
rm -rf src/java/org/apache/torque/dsfactory/*
cp -pr torque-3.1/src/java/org/apache/torque/dsfactory/* \
                  src/java/org/apache/torque/dsfactory
rm -rf torque-3.1

%patch0
%patch1
%patch2

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=$(build-classpath \
avalon-framework \
avalon-logkit \
commons-beanutils \
commons-collections \
commons-configuration \
commons-dbcp \
commons-lang \
commons-logging \
commons-pool \
jdbc-stdext \
jndi \
log4j \
turbine-jcs \
velocity \
village \
xerces-j2 \
xml-commons-apis)
CLASSPATH=target/classes:target/test-classes:$CLASSPATH
ant -Dbuild.sysclasspath=only test dist

%install
rm -rf $RPM_BUILD_ROOT
install -Dpm 644 dist/%{base_name}-%{version}.jar \
                  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -dm 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src/conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src/dtd  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src/schema  $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# javadoc
install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT


%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}


%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt
%{_javadir}
%{_datadir}/%{name}-%{version}

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog

* Fri Aug 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.0.2-0.hyb.3jpp
- Build with ant-1.6.2
- Relax some versioned requirements

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:3.0.2-0.hyb.2jpp
- Upgrade to Ant 1.6.X

* Sun Feb 29 2004 Ralph Apel <r.apel at r-apel.de> - 0:3.0.2-0.hyb.1jpp
- First JPackage release.
- This package contains org.apache.torque.dsfactory from 3.1
- db-ojb-1.0 needs db-torque-3.0.2
- db-torque-3.0.2 needs a very old commons-dbcp
- Replacing org.apache.torque.dsfactory enables use of current dbcp
